com.independentsoft.exchange

## Class FolderChange

- java.lang.Object
- - com.independentsoft.exchange.FolderChange

-     public class FolderChange
      extends java.lang.Object

  Represents a collection of changes to be performed on a single folder.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FolderChange()` Initializes a new instance of the FolderChange class.
    `FolderChange(FolderId folderId, java.util.List<Property> propertiesToSet)` Initializes a new instance of the FolderChange class.
    `FolderChange(FolderId folderId, java.util.List<Property> propertiesToSet, java.util.List<PropertyPath> propertiesToDelete)` Initializes a new instance of the FolderChange class.
    `FolderChange(FolderId folderId, Property propertyToSet)` Initializes a new instance of the FolderChange class.
    `FolderChange(FolderId folderId, PropertyPath propertyToDelete)` Initializes a new instance of the FolderChange class.
    `FolderChange(FolderId folderId, Property propertyToSet, PropertyPath propertyToDelete)` Initializes a new instance of the FolderChange class.
    `FolderChange(StandardFolder standardFolder, java.util.List<Property> propertiesToSet)` Initializes a new instance of the FolderChange class.
    `FolderChange(StandardFolder standardFolder, java.util.List<Property> propertiesToSet, java.util.List<PropertyPath> propertiesToDelete)` Initializes a new instance of the FolderChange class.
    `FolderChange(StandardFolder standardFolder, Property propertyToSet)` Instantiates a new folder change.
    `FolderChange(StandardFolder standardFolder, PropertyPath propertyToDelete)` Initializes a new instance of the FolderChange class.
    `FolderChange(StandardFolder standardFolder, Property propertyToSet, PropertyPath propertyToDelete)` Initializes a new instance of the FolderChange class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FolderId` | `getFolderId()` Gets the identifier and change key of a folder to update.
    `java.util.List<Property>` | `getPropertiesToAppend()` Gets an action to adds data to an existing property.
    `java.util.List<PropertyPath>` | `getPropertiesToDelete()` Gets an operation to delete a property from a folder.
    `java.util.List<Property>` | `getPropertiesToSet()` Gets an update that sets the value for a property on a folder.
    `void` | `setFolderId(FolderId folderId)` Sets the identifier and change key of a folder to update.
    `java.lang.String` | `toString()` Converts the value of the current FolderChange object to its equivalent string representation.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FolderChange

          public FolderChange()

      Initializes a new instance of the FolderChange class.

    - #### FolderChange

          public FolderChange(FolderId folderId,
                              Property propertyToSet)

      Initializes a new instance of the FolderChange class.
      Parameters:
        `folderId` - the folder id
        `propertyToSet` - the property to set

    - #### FolderChange

          public FolderChange(FolderId folderId,
                              PropertyPath propertyToDelete)

      Initializes a new instance of the FolderChange class.
      Parameters:
        `folderId` - the folder id
        `propertyToDelete` - the property to delete

    - #### FolderChange

          public FolderChange(FolderId folderId,
                              Property propertyToSet,
                              PropertyPath propertyToDelete)

      Initializes a new instance of the FolderChange class.
      Parameters:
        `folderId` - the folder id
        `propertyToSet` - the property to set
        `propertyToDelete` - the property to delete

    - #### FolderChange

          public FolderChange(StandardFolder standardFolder,
                              Property propertyToSet)

      Instantiates a new folder change.
      Parameters:
        `standardFolder` - the standard folder
        `propertyToSet` - the property to set

    - #### FolderChange

          public FolderChange(StandardFolder standardFolder,
                              PropertyPath propertyToDelete)

      Initializes a new instance of the FolderChange class.
      Parameters:
        `standardFolder` - the standard folder
        `propertyToDelete` - the property to delete

    - #### FolderChange

          public FolderChange(StandardFolder standardFolder,
                              Property propertyToSet,
                              PropertyPath propertyToDelete)

      Initializes a new instance of the FolderChange class.
      Parameters:
        `standardFolder` - the standard folder
        `propertyToSet` - the property to set
        `propertyToDelete` - the property to delete

    - #### FolderChange

          public FolderChange(FolderId folderId,
                              java.util.List<Property> propertiesToSet)

      Initializes a new instance of the FolderChange class.
      Parameters:
        `folderId` - the folder id
        `propertiesToSet` - the properties to set

    - #### FolderChange

          public FolderChange(FolderId folderId,
                              java.util.List<Property> propertiesToSet,
                              java.util.List<PropertyPath> propertiesToDelete)

      Initializes a new instance of the FolderChange class.
      Parameters:
        `folderId` - the folder id
        `propertiesToSet` - the properties to set
        `propertiesToDelete` - the properties to delete

    - #### FolderChange

          public FolderChange(StandardFolder standardFolder,
                              java.util.List<Property> propertiesToSet)

      Initializes a new instance of the FolderChange class.
      Parameters:
        `standardFolder` - the standard folder
        `propertiesToSet` - the properties to set

    - #### FolderChange

          public FolderChange(StandardFolder standardFolder,
                              java.util.List<Property> propertiesToSet,
                              java.util.List<PropertyPath> propertiesToDelete)

      Initializes a new instance of the FolderChange class.
      Parameters:
        `standardFolder` - the standard folder
        `propertiesToSet` - the properties to set
        `propertiesToDelete` - the properties to delete

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Converts the value of the current FolderChange object to its equivalent string representation.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the string

    - #### getFolderId

          public FolderId getFolderId()

      Gets the identifier and change key of a folder to update.
      Returns:
        the folder id

    - #### setFolderId

          public void setFolderId(FolderId folderId)

      Sets the identifier and change key of a folder to update.
      Parameters:
        `folderId` - the new folder id

    - #### getPropertiesToSet

          public java.util.List<Property> getPropertiesToSet()

      Gets an update that sets the value for a property on a folder.
      Returns:
        the properties to set

    - #### getPropertiesToDelete

          public java.util.List<PropertyPath> getPropertiesToDelete()

      Gets an operation to delete a property from a folder.
      Returns:
        the properties to delete

    - #### getPropertiesToAppend

          public java.util.List<Property> getPropertiesToAppend()

      Gets an action to adds data to an existing property.
      Returns:
        the properties to append